## stat

#### OS/161 Reference Manual

### Name

stat - get file state information

### Library

Standard C Library (libc, -lc)

### Synopsis

#include <sys/stat.h>
int
stat(const char *pathname, struct stat *statbuf);

### Description

stat retrieves status information about the file referred to by pathname and stores it in the stat structure pointed to by statbuf.

### Return Values

On success, stat returns 0. On error, -1 is returned, and errno is set according to the error encountered.

### Errors

The following error codes should be returned under the conditions given. Other error codes may be returned for other errors not mentioned here.

> ENODEV | The device prefix of filename did not exist.
> ENOTDIR | A non-final component of pathname was not a directory.
> ENOENT | The named file does not exist.
> EIO | A hard I/O error occurred.
> EFAULT | statbuf points to an invalid address.